View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000286: Allow OnSoundStop to be called as GET while ghost is minimized
Description

This might not be possible, if not please ignore this.
I've made a ghost that plays music, and some of my users have pointed out that it isn't able to play the next song while it's minimized. I noticed that OnSoundStop still happens while minimized, but it's called as NOTIFY, so my ghost can't start the next song with sakurascript. If it's possible to change this, I think it would be very beneficial to ghosts with music players. If not, I'll add a note to my ghost to say that it can't play music while minimized.

TagsNo tags attached.
Attach Tags

Activities

guest

2021-09-23 17:34

reporter   ~0000695

I take it you are the author of FLUX?
It's not just FLUX, Taromati2 suffers from this too
However, I think triggering OnSoundStop as a Get when minimizing would lead to some ghost incompatibilities and would be too cumbersome to implement
My suggestion would be to append a new event OnSoundStop.minimizing(or other) and process the result of the get as the path to the next file to be played, ignoring it when the return value is null
Also, when ghost handled OnSoundStop.minimizing, the OnSoundStop event is not fired

ponapalt

2021-09-25 18:16

administrator   ~0000701

It's difficult problem.
When ghost is minimized, all script and animation engine is stopped, so we can't execute any command including sound tag.

I think we need exceptional (and ugly) specification to solve it, as 0000286:0000695 said.

ponapalt

2021-09-25 18:16

administrator   ~0000702

(status changed)

guest

2021-09-26 13:52

reporter   ~0000710

I don't mind ugly specification if it adds this functionality. I know of multiple ghosts that are set up to play music, and I think this would be a great benefit to them.

ponapalt

2021-10-12 09:17

administrator   ~0000789

next version : ValueNotify header implementation
http://ssp.shillest.net/ukadoc/manual/spec_shiori3.html

This is preliminary specification and subject to change, because unpredictable side effect may occur.

ponapalt

2021-10-12 13:02

administrator   ~0000797

2.5.35
http://ssp.shillest.net/ukadoc/manual/spec_shiori3.html
ValueNotify Response Header : this specification is experimental.

Issue History

Date Modified Username Field Change
2021-09-23 16:44 guest New Issue
2021-09-23 17:34 guest Note Added: 0000695
2021-09-25 18:16 ponapalt Note Added: 0000701
2021-09-25 18:16 ponapalt Assigned To => ponapalt
2021-09-25 18:16 ponapalt Status new => feedback
2021-09-25 18:16 ponapalt Note Added: 0000702
2021-09-26 13:52 guest Note Added: 0000710
2021-09-26 13:52 guest Status feedback => assigned
2021-09-26 14:28 ponapalt Tag Attached: needs discussion
2021-09-26 14:36 ponapalt Tag Detached: needs discussion
2021-10-12 09:17 ponapalt Status assigned => confirmed
2021-10-12 09:17 ponapalt Note Added: 0000789
2021-10-12 13:02 ponapalt Status confirmed => closed
2021-10-12 13:02 ponapalt Resolution open => fixed
2021-10-12 13:02 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-12 13:02 ponapalt Note Added: 0000797